CREATE OR REPLACE VIEW view_compras_clientes AS
SELECT
	 v.id_venda,
    c.nome_cliente,
    p.nome_produto,
    v.quantidade,
    ROUND((p.preco*v.quantidade) - ((p.preco*v.quantidade)* d.valor),2) AS "total"
FROM vendas v
INNER JOIN clientes c ON v.cliente_id = c.id_cliente
INNER JOIN desconto d ON v.desconto_id = d.id_desconto
INNER JOIN produtos p ON v.produto_id = p.id_produto;
